Skip to content

Bucket Permission List

GET
/api/v1/storage/bucket_perms/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_perms/?bucket_name=<BUCKET_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

A list of users associated with a bucket

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
user
object
id
integer
my_account_id
integer
nullable
user_name
string
email
string
access_key
string
secret_key
string
nullable
is_default
boolean
disabled
boolean
tag
string
role
object
id
integer
name
string
display_name
string
active
boolean
deleted
boolean
created_at
string format: date-time
updated_at
string format: date-time
processed
boolean
processed_on
string format: date-time
nullable
disabled
boolean
date_disabled
string format: date-time
nullable
location
string
bucket
integer
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"user": {
"id": 12345,
"my_account_id": null,
"user_name": "admin@e2enetworks.com",
"email": "",
"access_key": "QWEPGEYAMP123JRLMJNL",
"secret_key": null,
"is_default": false,
"disabled": false,
"tag": "test"
},
"role": {
"id": 1,
"name": "Bucket Admin",
"display_name": "Bucket Admin",
"active": true
},
"deleted": false,
"created_at": "2025-05-27T06:08:42.020565Z",
"updated_at": "2025-05-27T06:08:42.020618Z",
"processed": true,
"processed_on": null,
"disabled": false,
"date_disabled": null,
"location": "Delhi",
"bucket": 12345
}
],
"errors": {},
"message": "Success"
}